| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::LensFunSettings Class Reference
Inheritance diagram for Digikam::LensFunSettings:

## Signals
void | signalSettingsChanged ()

## Public Member Functions
| LensFunSettings (QWidget *const parent=nullptr)
void | assignFilterSettings (LensFunContainer &prm)
LensFunContainer | defaultSettings () const
void | readSettings (const KConfigGroup &group)
void | resetToDefault ()
void | setEnabledCCA (bool b)
void | setEnabledDist (bool b)
void | setEnabledGeom (bool b)
void | setEnabledVig (bool b)
void | setFilterSettings (const LensFunContainer &settings)
LensFunContainer | settings () const
void | writeSettings (KConfigGroup &group)